Skip to main content
POST

Authorizations

Authorization
string
header
required

Bearer authentication header on the format Bearer <API_KEY>.

Headers

Idempotency-Key
string<uuid>

Optional UUID v4 idempotency key. If you resend the same key with a different request body, the API returns a 409 error. Cached responses include the header X-Idempotency-Cached: true. Keys expire after 24 hours.

Body

application/json
customerId
string<uuid>
required

Customer's unique identifier.

Example:

"3c90c3cc-0d44-4b50-8888-8dd25736052a"

name
string
required

Destination's display name.

Example:

"Lumx Destination 1"

rail
enum<string>
required

Destination's payment rail.

Available options:
PIX
Example:

"PIX"

currency
enum<string>
required

Destination's currency.

Available options:
BRL
Example:

"BRL"

identifier
object
required

Destination's identifier.

holder
object

Destination's holder.

Response

201 - application/json

Destination successfully created.

Destination's rail is PIX.

id
string<uuid>

Destination's unique identifier.

Example:

"e80d3137-eddd-4791-b9b8-6e36b289f284"

customerId
string<uuid>

Customer's unique identifier.

Example:

"3c90c3cc-0d44-4b50-8888-8dd25736052a"

name
string

Destination's display name.

Example:

"Lumx Destination 1"

type
enum<string>

Destination's type.

Available options:
EXTERNAL
rail
enum<string>

Destination's payment rail.

Available options:
PIX
currency
enum<string>

Destination's currency.

Available options:
BRL
identifier
object

Destination's identifier.

holder
object

Destination's holder.

createdAt
string<date-time>

Creation date and time (UTC).

updatedAt
string<date-time>

Last update date and time (UTC).